package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * StandardPointManagement对象 standard_point_management
 * 
 * @author hlf
 * @date 2022-10-21
 */
public class StandardPointManagement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private String itemType;

    private Long itemNo;

    private String itemName;

    private String itemRef;

    private String note;

    public void setItemType(String itemType) 
    {
        this.itemType = itemType;
    }

    public String getItemType() 
    {
        return itemType;
    }
    public void setItemNo(Long itemNo) 
    {
        this.itemNo = itemNo;
    }

    public Long getItemNo() 
    {
        return itemNo;
    }
    public void setItemName(String itemName) 
    {
        this.itemName = itemName;
    }

    public String getItemName() 
    {
        return itemName;
    }
    public void setItemRef(String itemRef) 
    {
        this.itemRef = itemRef;
    }

    public String getItemRef() 
    {
        return itemRef;
    }
    public void setNote(String note) 
    {
        this.note = note;
    }

    public String getNote() 
    {
        return note;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("itemType", getItemType())
            .append("itemNo", getItemNo())
            .append("itemName", getItemName())
            .append("itemRef", getItemRef())
            .append("note", getNote())
            .toString();
    }
}
